From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-mail/safecat/files/, net-mail/safecat/
Date: Tue, 3 Dec 2024 03:41:56 +0000 (UTC) [thread overview]
Message-ID: <1733197313.de3dd4140fbc11773863fd9a1f3d0e23e21a4d5a.robbat2@gentoo> (raw)
commit: de3dd4140fbc11773863fd9a1f3d0e23e21a4d5a
Author: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 3 03:41:29 2024 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Tue Dec 3 03:41:53 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de3dd414
net-mail/safecat: fix ar/ranlib
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
Closes: https://bugs.gentoo.org/945697
net-mail/safecat/files/safecat-1.13-ar.patch | 21 +++++++++++++++++++++
net-mail/safecat/safecat-1.13-r2.ebuild | 3 +++
2 files changed, 24 insertions(+)
diff --git a/net-mail/safecat/files/safecat-1.13-ar.patch b/net-mail/safecat/files/safecat-1.13-ar.patch
new file mode 100644
index 000000000000..fdbcb716a1a0
--- /dev/null
+++ b/net-mail/safecat/files/safecat-1.13-ar.patch
@@ -0,0 +1,21 @@
+diff '--color=auto' -NuarwbB safecat-1.13.orig/Makefile safecat-1.13/Makefile
+--- safecat-1.13.orig/Makefile 2024-12-01 20:36:41.209238851 -0800
++++ safecat-1.13/Makefile 2024-12-02 19:32:20.069536183 -0800
+@@ -184,7 +184,7 @@
+ ( cat warn-auto.sh; \
+ echo 'main="$$1"; shift'; \
+ echo 'rm -f "$$main"'; \
+- echo 'ar cr "$$main" $${1+"$$@"}'; \
++ echo '$(shell head -n 1 conf-ar) cr "$$main" $${1+"$$@"}'; \
+ case "`cat systype`" in \
+ sunos-5.*) ;; \
+ unix_sv*) ;; \
+@@ -193,7 +193,7 @@
+ dgux-*) ;; \
+ hp-ux-*) ;; \
+ sco*) ;; \
+- *) echo 'ranlib "$$main"' ;; \
++ *) echo '$(shell head -n 1 conf-ranlib) "$$main"' ;; \
+ esac \
+ ) > makelib
+ chmod 755 makelib
diff --git a/net-mail/safecat/safecat-1.13-r2.ebuild b/net-mail/safecat/safecat-1.13-r2.ebuild
index f604ea6e293f..ba92d9a6530f 100644
--- a/net-mail/safecat/safecat-1.13-r2.ebuild
+++ b/net-mail/safecat/safecat-1.13-r2.ebuild
@@ -32,6 +32,8 @@ PATCHES=(
"${DISTDIR}"/${P}-clang-fixes.patch
# GCC15 fixes
"${FILESDIR}"/safecat-1.13-gcc15.patch
+ # Link fixes
+ "${FILESDIR}"/safecat-1.13-ar.patch
)
src_prepare() {
@@ -46,6 +48,7 @@ src_configure() {
echo "$(tc-getCC) ${CFLAGS} -Wno-discarded-qualifiers -Wno-misleading-indentation" > conf-cc || die
echo "$(tc-getCC) ${LDFLAGS}" > conf-ld || die
echo "$(tc-getAR)" > conf-ar || die
+ echo "$(tc-getRANLIB)" > conf-ranlib || die
}
src_install() {
next reply other threads:[~2024-12-03 3:42 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-03 3:41 Robin H. Johnson [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-02 4:39 [gentoo-commits] repo/gentoo:master commit in: net-mail/safecat/files/, net-mail/safecat/ Robin H. Johnson
2024-06-15 22:03 Robin H. Johnson
2018-01-03 18:39 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1733197313.de3dd4140fbc11773863fd9a1f3d0e23e21a4d5a.robbat2@gentoo \
--to=robbat2@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox